Name:           bwbasic
Version:        3.20g
Release:        1%{?dist}
Summary:        Bywater BASIC Interpreter

License:        GPL-2.0-only
URL:            https://yeolpishack.net/repos/ChipMaster/bwBASIC
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
The Bywater BASIC Interpreter (bwBASIC) implements a large
superset of the ANSI Standard for Minimal BASIC (X3.60-1978),
a significant subset of the ANSI Standard for Full BASIC
(X3.113-1987), and many classic BASIC dialects in C.  bwBASIC 
seeks to be as portable as possible.


%prep
%autosetup -n %{name}
# Use Fedora build flags
sed -i 's|^CFLAGS=-s -ansi|^CFLAGS=%{build_cflags}|g' Makefile

%build
%make_build


%install
mkdir -p %{buildroot}/%{_bindir}
install bwbasic %{buildroot}/%{_bindir}
install renum %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_docdir}/bwbasic
cp -r BAS-EXAMPLES %{buildroot}/%{_docdir}/bwbasic
cp -r DOCS %{buildroot}/%{_docdir}/bwbasic

%files
%license COPYING
%doc README
%{_bindir}/bwbasic
%{_bindir}/renum
%dir %{_docdir}/bwbasic
%dir %{_docdir}/bwbasic/BAS-EXAMPLES
%{_docdir}/bwbasic/BAS-EXAMPLES/*.bas
%{_docdir}/bwbasic/BAS-EXAMPLES/*.inp
%{_docdir}/bwbasic/BAS-EXAMPLES/*.pro
%dir %{_docdir}/bwbasic/DOCS
%{_docdir}/bwbasic/DOCS/*.txt
%{_docdir}/bwbasic/DOCS/*.HTM

%changelog
* Sun Mar 24 2024 Benson Muite <benson_muite@emailplus.org> - 3.20g-1
- Initial packaging
